from otree.api import (
    models,
    widgets,
    BaseConstants,
    BaseSubsession,
    BaseGroup,
    BasePlayer,
    Currency as c,
    currency_range,
)

doc = """
author = 'Wael Bousselmi'
Exp E4C
"""


class Constants(BaseConstants):
    name_in_url = 'a3_welcome0'
    players_per_group = None
    num_rounds = 1


class Subsession(BaseSubsession):
    pass

class Group(BaseGroup):
    pass

class Player(BasePlayer):
    q1_participation = models.IntegerField(
        choices=[
            [1, 'Yes'],
            [0, 'No'],
        ],
        widget=widgets.RadioSelect,
        label="A)  Have you already participated in one of our previous experiments?",
        blank=False
    )

    q2_previoussession = models.IntegerField(
        choices=[
            [1, 'March 2024'],
            [2, 'September 2024'],
            [3, "I'm not concerned by this question"]
        ],
        widget=widgets.RadioSelect,
        label="B)  Which session did you participate in?",
        blank=False
    )






